Name:           python-pyro
Version:        4.16
Release:        %mkrel 3
License:        MIT
Group:          Development/Python
Summary:        PYthon Remote Objects
URL:            http://pypi.python.org/pypi/Pyro4
Source:         http://pypi.python.org/pypi/Pyro4/Pyro4-%{version}.tar.gz
BuildRequires:	python-sphinx
BuildRequires:	python-setuptools
BuildArch:	noarch
%py_requires -d

%description
Pyro provides an object-oriented form of RPC. You can use Pyro within a
single system but also use it for IPC. For those that are familiar with
Java, Pyro resembles Java's Remote Method Invocation (RMI). It is less
similar to CORBA - which is a system- and language independent Distributed
Object Technology and has much more to offer than Pyro or RMI.

%prep
%setup -q -n Pyro4-%{version}

%build
%{__python} setup.py build
%{__python} setup.py build_sphinx

%install
rm -rf %{buildroot}
%{__python} setup.py install --root=%{buildroot}

%files
%doc build/sphinx/* README.txt
%{py_puresitedir}/Pyro4
%{py_puresitedir}/Pyro4-%{version}-py%{pyver}.egg-info


%changelog

* Tue Mar 26 2013 guillomovitch <guillomovitch> 4.16-3.mga3
+ Revision: 405360
- don't ship documentation sources, but generated html pages

* Sun Jan 13 2013 umeabot <umeabot> 4.16-2.mga3
+ Revision: 379413
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 guillomovitch <guillomovitch> 4.16-1.mga3
+ Revision: 323135
- new version

* Wed Feb 29 2012 guillomovitch <guillomovitch> 3.10-1.mga2
+ Revision: 216067
- imported package python-pyro


* Sat Jan 29 2011 Guillaume Rousse <guillomovitch@mandriva.org> 3.10-3mdv2011.0
+ Revision: 633951
- rebuild for normalized python dependencies

* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 3.10-2mdv2011.0
+ Revision: 594000
- rebuild for py2.7

* Mon Dec 21 2009 Lev Givon <lev@mandriva.org> 3.10-1mdv2010.1
+ Revision: 480711
- Update to 3.10.

* Sun Aug 23 2009 Lev Givon <lev@mandriva.org> 3.9.1-1mdv2010.0
+ Revision: 419984
- Update to 3.9.1.

* Mon Jan 12 2009 Funda Wang <fwang@mandriva.org> 3.8.1-1mdv2009.1
+ Revision: 328584
- import python-pyro


